Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.certclient.util
Interface Pk10Certificate

    public interface Pk10Certificate

This interface describes the Pk10Certificate object that is returned from the Pk10CertificateFactory class. The Pk10CertificateFactory class contains methods which accept as input a CertificationRequest and return a Pk10Certificate object without communicating with a remote Certificate Authority.

Method Summary
`X509Certificate` | `getCertificate()` Extract the X509 certificate
`PublicKey` | `getPublicKey()` Extract the X509 certificate's public key
`String` | `getSigAlg()` Extract the X509 certificate's signature algorithm
`byte[]` | `getSubjectKeyIdentifier()` Extract the X509 certificate's subject public key identifier
`String` | `getSubjectName()` Extract the X509 certificate's subject name

Method Detail

### getCertificate

    X509Certificate getCertificate()

  Extract the X509 certificate

  Returns:
    the X509 certificate

### getPublicKey

    PublicKey getPublicKey()

  Extract the X509 certificate's public key

  Returns:
    the X509 public key

### getSubjectName

    String getSubjectName()

  Extract the X509 certificate's subject name

  Returns:
    the subject Distinguished Name as a String

### getSigAlg

    String getSigAlg()

  Extract the X509 certificate's signature algorithm

  Returns:
    a string which identifies the certificate signing algorithm

### getSubjectKeyIdentifier

    byte[] getSubjectKeyIdentifier()

  Extract the X509 certificate's subject public key identifier

  Returns:
    a byte array containing the generated subject key identifier This uniquely identifies the private key corresponding to this certificate without exposing it

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD